summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2022-11-16 11:56:11 -0500
committerLuke Smith <luke@lukesmith.xyz>2022-11-16 11:56:11 -0500
commitfa600f8ca722da4dabc705e89b7c17de3035a3ae (patch)
treea1928c23fa0a098559907e4a4e97211ba84194e5 /.local
parentcffb196a45eae216de234206dc2cb0083c1e4f96 (diff)
downloadeibhear-fa600f8ca722da4dabc705e89b7c17de3035a3ae.tar.gz
eibhear-fa600f8ca722da4dabc705e89b7c17de3035a3ae.tar.zst
eibhear-fa600f8ca722da4dabc705e89b7c17de3035a3ae.zip
fix #1233 and improve and cleanup mount scripts
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/dmenumount10
-rwxr-xr-x.local/bin/dmenuumount49
2 files changed, 18 insertions, 41 deletions
diff --git a/.local/bin/dmenumount b/.local/bin/dmenumount
index abeb0ce..8cf4a6b 100755
--- a/.local/bin/dmenumount
+++ b/.local/bin/dmenumount
@@ -27,18 +27,18 @@ mountusb() { \
"vfat") sudo -A mount -t vfat "$chosen" "$mp" -o rw,umask=0000;;
"exfat") sudo -A mount "$chosen" "$mp" -o uid="$(id -u)",gid="$(id -g)";;
*) sudo -A mount "$chosen" "$mp"; user="$(whoami)"; ug="$(groups | awk '{print $1}')"; sudo -A chown "$user":"$ug" "$mp";;
- esac
- notify-send "💻 USB mounting" "$chosen mounted to $mp."
+ esac && notify-send "💻 USB mounting" "$chosen mounted to $mp." ||
+ notify-send "💻 Drive failed to mount." "Probably a permissions issue or drive is already mounted."
}
mountandroid() { \
chosen="$(echo "$anddrives" | dmenu -i -p "Which Android device?")" || exit 1
chosen="$(echo "$chosen" | cut -d : -f 1)"
getmount "$HOME -maxdepth 3 -type d"
- simple-mtpfs --device "$chosen" "$mp"
echo "OK" | dmenu -i -p "Tap Allow on your phone if it asks for permission and then press enter" || exit 1
- simple-mtpfs --device "$chosen" "$mp"
- notify-send "🤖 Android Mounting" "Android device mounted to $mp."
+ simple-mtpfs --device "$chosen" "$mp" &&
+ notify-send "🤖 Android Mounting" "Android device mounted to $mp." ||
+ notify-send "🤖 Android failed mounting." "Probably a permissions issue or phone is already mounted."
}
asktype() { \
diff --git a/.local/bin/dmenuumount b/.local/bin/dmenuumount
index 946d12c..656d1f1 100755
--- a/.local/bin/dmenuumount
+++ b/.local/bin/dmenuumount
@@ -4,41 +4,18 @@
# Provides you with mounted partitions, select one to unmount.
# Drives mounted at /, /boot and /home will not be options to unmount.
-unmountusb() {
- [ -z "$drives" ] && exit
- chosen="$(echo "$drives" | dmenu -i -p "Unmount which drive?")" || exit 1
- chosen="$(echo "$chosen" | awk '{print $1}')"
- [ -z "$chosen" ] && exit
- sudo -A umount "$chosen" && notify-send "💻 USB unmounting" "$chosen unmounted."
- }
+drives="$(lsblk -nrpo "name,type,size,mountpoint,label" | awk -F':' '{gsub(/ /,":")}$4!~/\/boot|\/efi|\/home$|SWAP/&&length($4)>1{printf "%s (%s) %s\n",$4,$3,$5}'; awk '/simple-mtpfs/ { print "📱", $2; }' /etc/mtab)"
-unmountandroid() { \
- chosen="$(awk '/simple-mtpfs/ {print $2}' /etc/mtab | dmenu -i -p "Unmount which device?")" || exit 1
- [ -z "$chosen" ] && exit
- sudo -A umount -l "$chosen" && notify-send "🤖 Android unmounting" "$chosen unmounted."
- }
+chosen="$(echo "$drives" | dmenu -i -p "Unmount which drive?")" || exit 1
-asktype() { \
- choice="$(printf "USB\\nAndroid" | dmenu -i -p "Unmount a USB drive or Android device?")" || exit 1
- case "$choice" in
- USB) unmountusb ;;
- Android) unmountandroid ;;
- esac
- }
-
-drives=$(lsblk -nrpo "name,type,size,mountpoint,label" | awk -F':' '{gsub(/ /,":")}$4!~/\/boot|\/efi|\/home$|SWAP/&&length($4)>1{printf "%s (%s) %s\n",$4,$3,$5}')
-
-if ! grep simple-mtpfs /etc/mtab; then
- [ -z "$drives" ] && echo "No drives to unmount." && exit
- echo "Unmountable USB drive detected."
- unmountusb
-else
- if [ -z "$drives" ]
- then
- echo "Unmountable Android device detected."
- unmountandroid
- else
- echo "Unmountable USB drive(s) and Android device(s) detected."
- asktype
- fi
-fi
+case "$chosen" in
+ 📱*)
+ chosen="${chosen#📱 }"
+ sudo -A umount -l "$chosen"
+ ;;
+ *)
+ chosen="${chosen% (*}"
+ sudo -A umount -l "$chosen"
+ ;;
+esac && notify-send "🖥️ Drive unmounted." "$chosen successfully unmounted." ||
+ notify-send "🖥️ Drive failed to unmount." "Possibly a permissions or I/O issue."